///////////////////////////////////////////////////////////////////////////////
//
//  Datei : DlgModelessInfo.cpp
//  Autor : Harald Krause
//  Zweck : Modless Info Dialog
//
///////////////////////////////////////////////////////////////////////////////
//
//  Beschreibung
//
//
///////////////////////////////////////////////////////////////////////////////
//
//  Revisionsgeschichte
//
//  ## YY-MM-DD by Kommentar
//  --+--+--+--+--+------------------------------------------------------------
//  00 02-04-09 HK start
///////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////
//	Includes
//

#include "stdafx.h"
#include "Sample1.h"
#include "DlgModelessInfo.h"


///////////////////////////////////////////////////////////////////////////////
//	Defines
//

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


///////////////////////////////////////////////////////////////////////////////
//	Statics
//

///////////////////////////////////////////////////////////////////////////////
//	Exports
//

///////////////////////////////////////////////////////////////////////////////
//	Implementation
//


/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgModelessInfo 


CDlgModelessInfo::CDlgModelessInfo(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgModelessInfo::IDD, pParent)
{
	m_pParent = pParent;
	//{{AFX_DATA_INIT(CDlgModelessInfo)
	m_InfoText = _T("");
	//}}AFX_DATA_INIT
}

int CDlgModelessInfo::DoModeless()
{
	CDialog::Create(CDlgModelessInfo::IDD,m_pParent);
	return TRUE;
}


void CDlgModelessInfo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgModelessInfo)
	DDX_Text(pDX, IDC_STATIC_INFOTEXT, m_InfoText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgModelessInfo, CDialog)
	//{{AFX_MSG_MAP(CDlgModelessInfo)
		// HINWEIS: Der Klassen-Assistent fgt hier Zuordnungsmakros fr Nachrichten ein
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDlgModelessInfo 

void CDlgModelessInfo::PostNcDestroy() 
{
	CDialog::PostNcDestroy();
	delete this;
}


CDlgModelessInfo* ShowModelessInfo(LPCSTR InfoText)
{
	CDlgModelessInfo* pDlg = new CDlgModelessInfo;
	pDlg->m_InfoText = InfoText;
	pDlg->DoModeless();

	return pDlg;
}	

/* EOF */
