#   Einfaches Beispiel fr eine Python Anwendung.
#   Simple sample for a python application.
#
#   You need:   www.python.org for Python
#               win32all for Python COM interface
#

# init Python COM interface
import win32com.client

# Start DISTO online, DISTO online starts searching for DISTOs
disto = win32com.client.Dispatch("disto2.application")

# See if a DISTO is connected, wait maximum 20 seconds
if disto.IsDistoConnected(20):
    # a DISTO is connected
    print "DISTO found:"
    print "DISTO Type: ", disto.DistoTypeInternal
    print "DISTO Port: ", disto.GetDistoComPort

    # Loop forever and do some printing.
    while 1:
        # Start a measurement, timeout after 5 seconds.
        Measurement = disto.SingleMeasure(5)

        if Measurement.IsValid:
            print "Measured Value", Measurement.Value
        if Measurement.IsTimeout:
            print "Timeout Error"
        if Measurement.ErrorCode:
            print "DISTO Error: ", Measurement.ErrorCode
else:
    print "No DISTO found"
    
